%define upstream_name    HTML-Latemp-GenMakeHelpers
%define upstream_version 0.5.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    A Latemp Utility Module
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTML/%{upstream_name}-v%{upstream_version}.tar.gz

BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Find::Rule)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More)
BuildRequires: perl(base)
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-v%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Feb 16 2017 shlomif <shlomif> 0.5.0-1.mga6
+ Revision: 1086463
- New version 0.5.0

* Sun Jun 19 2016 pterjan <pterjan> 0.3.3-2.mga6
+ Revision: 1028230
- Rebuild for perl 5.22.2

* Mon Jan 04 2016 shlomif <shlomif> 0.3.3-1.mga6
+ Revision: 919568
- update to 0.3.3

* Thu Jun 25 2015 shlomif <shlomif> 0.3.2-1.mga6
+ Revision: 843180
- update to 0.3.2

* Wed Oct 15 2014 umeabot <umeabot> 0.3.1-3.mga5
+ Revision: 743321
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.3.1-2.mga5
+ Revision: 684943
- Mageia 5 Mass Rebuild

* Tue Feb 04 2014 shlomif <shlomif> 0.3.1-1.mga5
+ Revision: 581171
- update to v0.3.1

* Fri Oct 18 2013 umeabot <umeabot> 0.3.0-3.mga4
+ Revision: 511992
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.3.0-2.mga3
+ Revision: 368028
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 05 2012 shlomif <shlomif> 0.3.0-1.mga3
+ Revision: 302955
- update to v0.3.0

* Sat Aug 18 2012 shlomif <shlomif> 0.2.0-1.mga3
+ Revision: 281988
- imported package perl-HTML-Latemp-GenMakeHelpers

